zip_open
ZipArchive::addEmptyDir
Zip Functions
PHP Manual

# zip_read

(PHP 4 >= 4.0.7, PHP 5 >= 5.2.0, PECL zip:1.0-1.9.0)

zip_read — Read next entry in a ZIP file archive

### Description

mixed zip_read ( resource `$zip` )

Reads the next entry in a zip file archive.

### Parameters

`zip`

  A ZIP file previously opened with zip_open().

### Return Values

Returns a directory entry resource for later use with the zip_entry_... functions or `FALSE` if there's no more entries to read or number of error in case of other error.

### See Also

- zip_open()
- zip_close()
- zip_entry_open()
- zip_entry_read()

zip_open
ZipArchive::addEmptyDir
Zip Functions
PHP Manual